# Uses of Enum Class
java.nio.file.AccessMode

Packages that use AccessMode
Package
Description
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.
java.nio.file.spi
Service-provider classes for the `java.nio.file` package.

- ## Uses of AccessMode in java.nio.file

  Subclasses with type arguments of type AccessMode in java.nio.file
  Modifier and Type
  Class
  Description
  `enum`
  `AccessMode`
  Defines access modes used to test the accessibility of a file.
  Methods in java.nio.file that return AccessMode
  Modifier and Type
  Method
  Description
  `static AccessMode`
  AccessMode.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AccessMode[]`
  AccessMode.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

- ## Uses of AccessMode in java.nio.file.spi

  Methods in java.nio.file.spi with parameters of type AccessMode
  Modifier and Type
  Method
  Description
  `abstract void`
  FileSystemProvider.`checkAccess(Path path, AccessMode... modes)`
  Checks the existence, and optionally the accessibility, of a file.